aboutsummaryrefslogtreecommitdiff
path: root/core/libressl/files/update-certdata.sh
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2019-12-09 19:17:24 +0300
committerCem Keylan <cem@ckyln.com>2019-12-09 19:17:24 +0300
commit03423e0583057cbe5a16f8439183e2dbc0e8dd7c (patch)
tree81fe3ba69d94146f83fb5541d1fb2da0ac4eac08 /core/libressl/files/update-certdata.sh
downloadrepository-03423e0583057cbe5a16f8439183e2dbc0e8dd7c.tar.gz
secondary commit
Diffstat (limited to 'core/libressl/files/update-certdata.sh')
-rwxr-xr-xcore/libressl/files/update-certdata.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/core/libressl/files/update-certdata.sh b/core/libressl/files/update-certdata.sh
new file mode 100755
index 00000000..0c333e7a
--- /dev/null
+++ b/core/libressl/files/update-certdata.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w /etc/ssl ] || {
+ printf '%s\n' "${0##*/}: root required to update cert." >&2
+ exit 1
+}
+
+cd /etc/ssl && {
+ wget https://curl.haxx.se/ca/cacert.pem
+ mv -f cacert.pem cert.pem
+ printf '%s\n' "${0##*/}: updated cert.pm"
+}